net.sourceforge.pmd.dfa

## Class DAAPathFinderTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.dfa.DAAPathFinderTest

All Implemented Interfaces:
  Executable

    public class DAAPathFinderTest
    extends ParserTst
    implements Executable

### Constructor Summary

Constructors
Constructor and Description
`DAAPathFinderTest()`

### Method Summary

Methods
`void` `execute(CurrentPath path)`
`static junit.framework.Test` `suite()`
`void` `testTwoUpdateDefs()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DAAPathFinderTest

    public DAAPathFinderTest()

### Method Detail

#### testTwoUpdateDefs

    public void testTwoUpdateDefs()
                           throws Throwable

Throws:
  `Throwable`

#### execute

    public void execute(CurrentPath path)

Specified by:
  `execute` in interface `Executable`

#### suite

    public static junit.framework.Test suite()